View Issue Details

IDProjectCategoryView StatusLast Update
14029Bug reports[All Projects] Survey designpublic2019-04-30 09:11
Reportertammo Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.14.x 
Target Version3.15.xFixed in Version3.14.x 
Summary14029: Breadcrumb shows "Add a new question", also when editing a saved question
Description

See summary and attached image

Steps To Reproduce

Define question
Save question
Re-open question for editing
Observe breadcrumb

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.8+180829
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-Versionqq
Server OS (if known)qq
Webserver software & version (if known)qq
PHP Versionqq

Activities

tammo

tammo

2018-09-04 21:56

developer  

editquestion.png (57,361 bytes)
editquestion.png (57,361 bytes)
tammo

tammo

2018-09-04 21:57

developer   ~48969

Last edited: 2018-09-04 21:58

View 2 revisions

It even shows "Add a new question" twice! ;-)

guest

guest

2018-09-06 17:53

viewer   ~48986

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27905

Related Changesets

LimeSurvey: master 2dfbdb7d

2018-09-06 17:52:00

Dominik Vitt

Details Diff
Fixed issue 14029: Breadcrumb shows "Add a new question", also when editing a saved question Affected Issues
14029
mod - application/controllers/admin/questiongroups.php Diff File
mod - application/controllers/admin/questions.php Diff File
mod - application/controllers/admin/surveyadmin.php Diff File
mod - application/views/admin/survey/breadcrumb.php Diff File

Issue History

Date Modified Username Field Change
2018-09-04 21:56 tammo New Issue
2018-09-04 21:56 tammo File Added: editquestion.png
2018-09-04 21:57 tammo Note Added: 48969
2018-09-04 21:58 tammo Note Edited: 48969 View Revisions
2018-09-04 21:58 tammo Summary Breadcrumb shows "Add a question", also when editing a question => Breadcrumb shows "Add a new question", also when editing a saved question
2018-09-06 10:38 dominikvitt Assigned To => dominikvitt
2018-09-06 10:38 dominikvitt Status new => assigned
2018-09-06 17:53 Changeset attached => LimeSurvey master 2dfbdb7d
2018-09-06 17:53 guest Note Added: 48986
2018-09-06 17:53 guest Resolution open => fixed
2018-09-06 17:54 dominikvitt Status assigned => resolved
2018-09-06 17:54 dominikvitt Fixed in Version => 3.14.x
2019-04-30 09:11 c_schmitz Status resolved => closed